Package tigase.xmpp.impl

# Class ErrorCounter

java.lang.Object
tigase.xmpp.XMPPProcessor
tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor
tigase.xmpp.impl.ErrorCounter

All Implemented Interfaces:
  `Comparable<XMPPImplIfc>`, `XMPPImplIfc`, `XMPPPacketFilterIfc`, `XMPPProcessorConcurrencyAwareIfc`

@Bean(name="error-counter", parent=SessionManager.class, active=false) public class ErrorCounter extends AnnotatedXMPPProcessor implements XMPPPacketFilterIfc
ErrorCounter class is implementation of XMPPProcessor responsible for counting packets with type=error which value is added to Tigase XMPP Server statistics.

Author:
  andrzej

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ErrorCounter.ErrorStatisticsHolder`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final String`
  `ID`

  ### Fields inherited from class tigase.xmpp.XMPPProcessor

  `ALL_NAMES, ALL_PATHS, cmpInfo`

  ### Fields inherited from interface tigase.xmpp.XMPPImplIfc

  `CLIENT_XMLNS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ErrorCounter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `filter(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)`
  `void`
  `getStatistics(StatisticsList list)`
  The method allows to retrieve plugin own statistics if it generates any.
  `protected void`
  `process(Packet packet, XMPPResourceConnection session)`
  `String[][]`
  `supElementNamePaths()`
  Method `supElementNamePaths` returns an array of element names in form of a full path to the XML element for stanzas which can be processed by this plugin.

  ### Methods inherited from class tigase.xmpp.impl.annotation.AnnotatedXMPPProcessor

  `id, supDiscoFeatures, supNamespaces, supStreamFeatures, supTypes`

  ### Methods inherited from class tigase.xmpp.XMPPProcessor

  `canHandle, compareTo, concurrentQueuesNo, getComponentInfo, getInstance, getQueueSize, getThreadsNo, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.lang.Comparable

  `compareTo`

  ### Methods inherited from interface tigase.xmpp.XMPPImplIfc

  `canHandle, concurrentQueuesNo, getComponentInfo, id, init, supDiscoFeatures, supNamespaces, supStreamFeatures, supTypes`

- ## Field Details

  - ### ID

    protected static final String ID
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ErrorCounter

    public ErrorCounter()

- ## Method Details

  - ### getStatistics

    public void getStatistics(StatisticsList list)
    Description copied from interface: `XMPPImplIfc`
    The method allows to retrieve plugin own statistics if it generates any.
    Specified by:
      `getStatistics` in interface `XMPPImplIfc`
    Overrides:
      `getStatistics` in class `XMPPProcessor`
    Parameters:
      `list` - is a statistics collection to which plugins own metrics can be added.

  - ### supElementNamePaths

    public String[][] supElementNamePaths()
    Description copied from interface: `XMPPImplIfc`
    Method `supElementNamePaths` returns an array of element names in form of a full path to the XML element for stanzas which can be processed by this plugin. Each element name path corresponds to XMLNS returned in array by `supNamespaces()` method. The element path itself is represented by a String array with each path element as a separate String.
    Specified by:
      `supElementNamePaths` in interface `XMPPImplIfc`
    Overrides:
      `supElementNamePaths` in class `AnnotatedXMPPProcessor`
    Returns:
      a `String[][]` value is an array for element paths for which the plugin offers processing capabilities. Each path is in form of a String array in order to reduce parsing overhead.

  - ### filter

    public void filter(Packet packet, XMPPResourceConnection session, NonAuthUserRepository repo, Queue<Packet> results)
    Specified by:
      `filter` in interface `XMPPPacketFilterIfc`

  - ### process

    protected void process(Packet packet, XMPPResourceConnection session)